Skip to content
Browse API reference

Update a List

Request

PUT https://api.castle.io/v1/lists/{id}

Path parameters

idrequired
string

ID of the List

Request body

name
string

Name of the List

description
string | null

Description of the List

color
string

Color assigned to the List. These colors can be used to represent different sentiments, such as red for blocked records or green for trusted.

$red$orange$yellow$green$blue$purple$gray$black
default_item_archivation_time
integer | null

Default time, in seconds, after which Items in this List automatically gets archived after they are created. It is possible to override this value when creating the individual List Items

Response

201
object

Returns the updated List

401
No body

You are missing the Authorization header, or the API secret is missing or incorrect.

403
No body

The request is rejected because the service is not enabled for this account.

404
No body

Not found

422
object

The request body is unprocessable by the API. Make sure it conforms to the specified format for the endpoint.

429
No body

You performed too many requests. You should back off and retry using the exponential backoff algorithm.

500
No body

There’s an issue on our end.